## libnet-finger-perl 1.05-1

=== debian/changelog ===
libnet-finger-perl (1.05-1) unstable; urgency=low

  * New maintainer.
  * New version.

 -- Stephen Zander <gibreel@debian.org>  Fri,  5 Nov 1999 23:05:49 -0800

libnet-finger-perl (1.0-1.1) unstable; urgency=low

  * NMU for the new perl setup.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Sun,  4 Jul 1999 17:55:24 +0200

libnet-finger-perl (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 25 Sep 1998 03:36:26 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "gibreel@debian.org"
End:
