=== debian/control ===
Source: libnet-finger-perl
Section: libs
Priority: extra
Maintainer: Stephen Zander <gibreel@debian.org>
Standards-Version: 3.0.1

Package: libnet-finger-perl
Architecture: all
Depends: ${perl:Depends} 
Description: Perl Module providing an API for Finger queries
 Net::Finger is a Perl interface to the Finger service, 
 connecting to a local or remote server and making the request.
 For more details see the Net::Finger(3pm) manpage.
