=== debian/rules ===
#!/usr/bin/make -f

prefix=$(PWD)/debian/tmp/usr

build:
	perl Makefile.PL INSTALLDIRS=perl
	$(MAKE) LD_RUN_PATH=
	touch build

clean: checkroot
	-rm -f build
	-$(MAKE) distclean
	dh_clean

binary-indep: checkroot build
	-rm -rf debian/tmp
	dh_installdirs
	$(MAKE) pure_install PREFIX=$(prefix) \
		INSTALLMAN1DIR=$(prefix)/share/man/man1 \
		INSTALLMAN3DIR=$(prefix)/share/man/man3
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary-arch: checkroot build

binary: binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:
