## libnet-finger-perl 1.06

=== debian/changelog ===
libnet-finger-perl (1.06-7) unstable; urgency=medium

  [ Michael Ablassmeier ]
  * Refresh packaging
   + Move package to debian-perl group, adjust uploaders
   + Don't use cdbs
   + Update source format 3.0 (Closes: #1007277)
   + Update Standards-Version
   + Fix lintian warnings
  * Add Vcs-Git to debian/control
  * Add Vcs-Browser to debian/control
  * Set Maintainer/Uploaders in debian/control

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * debian/control: use typical MetaCPAN URL as Homepage.
  * Add debian/watch.

 -- Michael Ablassmeier <abi@debian.org>  Wed, 17 May 2023 21:44:30 +0200

libnet-finger-perl (1.06-6.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 14:02:21 +0200

libnet-finger-perl (1.06-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bump debhelper compat level. Closes: #817542

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 17 Dec 2016 14:15:15 +0100

libnet-finger-perl (1.06-6) unstable; urgency=low

  * Remove empty /usr/lib

 -- Michael Ablassmeier <abi@debian.org>  Tue, 25 Apr 2006 13:01:51 +0200

libnet-finger-perl (1.06-5) unstable; urgency=low

  * New Maintainer E-Mail
  * move debhelper/cdbs from B-D-I to B-D
  * Update Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Mon, 24 Apr 2006 16:36:20 +0200

libnet-finger-perl (1.06-4) unstable; urgency=low

  * New Maintainer (Closes: #279794)
  * Use cdbs
  * Update Standards Version
  * Lower first capital Letter in Package description
  * Add a simple example

 -- Michael Ablassmeier <abi@grinser.de>  Wed,  2 Mar 2005 22:20:00 +0100

libnet-finger-perl (1.06-3) unstable; urgency=low

  * QA Upload
  * Changed Maintainer to Debian QA Group <packages@qa.debian.org>
  * Changed section from 'interpreters' to 'perl'.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Sat, 26 Feb 2005 10:53:55 +0000

libnet-finger-perl (1.06-2) unstable; urgency=low

  * Rationalised debian/copyright,
  Closes: #157611

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Sep 2002 14:46:04 -0700

libnet-finger-perl (1.06-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Zander <gibreel@debian.org>  Fri, 11 Jan 2002 23:56:25 -0800
