=== debian/control ===
Source: libnet-finger-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Michael Ablassmeier <abi@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libnet-finger-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libnet-finger-perl.git
Homepage: https://metacpan.org/release/Net-Finger
Rules-Requires-Root: no

Package: libnet-finger-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: perl Module providing an API for Finger queries
 Net::Finger is a Perl interface to the Finger service,
 connecting to a local or remote server and making the request.
 For more details see the Net::Finger(3pm) manpage.
