=== debian/watch ===
version=4
https://metacpan.org/release/Net-Finger   .*/Net-Finger-v?@ANY_VERSION@@ARCHIVE_EXT@$
